Contribution Guidelines
=======================

1. [Pull Request Checklist](#pull-request-checklist)
2. [Pull Request Template](#distillation-support-matrix)
3. [Support](#support)
4. [Contributor Covenant Code of Conduct](#contributor-covenant-code-of-conduct)

If you have improvements to Intel® Extension for Transformers, pull requests for
[review](https://github.com/intel/intel-extension-for-transformers/pulls). If you are new to Github, view the pull request [How To](https://help.github.com/articles/using-pull-requests/).

## Pull Request Checklist

Before sending your pull requests, follow the information below:

- Changes are consistent with the Python [Coding Style](https://github.com/google/styleguide/blob/gh-pages/pyguide.md).
- Use pylint to check your Python code.
- Use flake8 and autopep8 to make Python code clean.

## Pull Request Template

**Type of Change**
feature or bug fix or documentation or validation or others
API changed or not

**Description**
detail description
JIRA ticket: xxx

**Expected Behavior & Potential Risk**
the expected behavior that triggered by this PR

**How has this PR been tested?**
how to reproduce the test (including hardware information)

**Dependency Change?**
any library dependency introduced or removed

## Support

Submit your questions, feature requests, and bug reports to the
[GitHub issues](https://github.com/intel/intel-extension-for-transformers/issues) page. You may also reach out to [Maintainers](inc.maintainers@intel.com).

## Contributor Covenant Code of Conduct

This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant Code of Conduct](./CODE_OF_CONDUCT.md).
