# Neural Engine Support Matrix

Performance results test on ​​07/10/2022 with Intel(R) Platinum 8375C processor on AWS c6i.12xlarge instance.

Performance varies by use, configuration and other factors. See platform configuration for configuration details. For more complete information about performance and benchmark results, visit www.intel.com/benchmarks
## Performance 

<table>
<thead>
  <tr>
    <th>Model</th>
    <th>Sparsity</th>
    <th>Sequencelength</th>
    <th>MAX Throughput (samples/sec) </th>
    <th>Latency (ms)</th>
    <th>BatchSize</th>
    <th>Instance</th>
    <th>Cores/Instance</th>
    <th>Requirement</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td rowspan="45">BERT Large</td>
    <td>90%</td>
    <td rowspan="5">16</td>
    <td>2652</td>
    <td>36.513</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
    <td rowspan="45">BatchSize &lt;= 8 && Latency &lt;= 50ms</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>2181</td>
    <td>43.628</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>1719</td>
    <td>41.91</td>
    <td>6</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>1487</td>
    <td>48.255</td>
    <td>6</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>1220</td>
    <td>39.143</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">32</td>
    <td>1304</td>
    <td>46.066</td>
    <td>5</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>1102</td>
    <td>43.9</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>870</td>
    <td>41.487</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>750</td>
    <td>47.82</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>690</td>
    <td>46.188</td>
    <td>4</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">48</td>
    <td>910</td>
    <td>39.921</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>729</td>
    <td>49.71</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>619</td>
    <td>38.821</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>499</td>
    <td>47.933</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>429</td>
    <td>41.936</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">64</td>
    <td>680</td>
    <td>35.318</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>557</td>
    <td>43.262</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>467</td>
    <td>38.589</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>405</td>
    <td>44.415</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>339</td>
    <td>35.473</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">80</td>
    <td>513</td>
    <td>47.119</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>389</td>
    <td>40.945</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>360</td>
    <td>49.936</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>274</td>
    <td>43.843</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>259</td>
    <td>46.242</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">96</td>
    <td>442</td>
    <td>36.241</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>364</td>
    <td>44.016</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>303</td>
    <td>40.13</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>266</td>
    <td>45.05</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>221</td>
    <td>35.973</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">112</td>
    <td>349</td>
    <td>45.938</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>275</td>
    <td>43.614</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>217</td>
    <td>37.039</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>188</td>
    <td>42.301</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>166</td>
    <td>48.033</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">128</td>
    <td>320</td>
    <td>49.769</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>263</td>
    <td>45.724</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>207</td>
    <td>38.819</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>181</td>
    <td>44.021</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>160</td>
    <td>49.979</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">384</td>
    <td>74</td>
    <td>41.235</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>63</td>
    <td>48.091</td>
    <td>2</td>
    <td>2</td>
    <td>12</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>51</td>
    <td>38.914</td>
    <td>1</td>
    <td>2</td>
    <td>12</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>46</td>
    <td>43.698</td>
    <td>1</td>
    <td>2</td>
    <td>12</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>42</td>
    <td>47.905</td>
    <td>1</td>
    <td>2</td>
    <td>12</td>
  </tr>
  <tr><td colspan="8"></td></tr>
  <tr><td colspan="8"></td></tr>
  <tr>
    <td rowspan="40">BERT Base</td>
    <td>90%</td>
    <td rowspan="5">16</td>
    <td>8972</td>
    <td>16.076</td>
    <td>6</td>
    <td>24</td>
    <td>1</td>
    <td rowspan="40">BatchSize &lt;= 8 && Latency &lt;= 20ms</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>7192</td>
    <td>19.906</td>
    <td>6</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>5482</td>
    <td>17.509</td>
    <td>4</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>4808</td>
    <td>19.952</td>
    <td>4</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>3678</td>
    <td>19.409</td>
    <td>3</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">32</td>
    <td>4750</td>
    <td>19.975</td>
    <td>3</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>3647</td>
    <td>19.867</td>
    <td>3</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>2921</td>
    <td>16.587</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>2576</td>
    <td>18.768</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>2131</td>
    <td>16.913</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">48</td>
    <td>2804</td>
    <td>17.096</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>2263</td>
    <td>16.037</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>1938</td>
    <td>18.756</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>1581</td>
    <td>15.119</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>1409</td>
    <td>17.015</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">64</td>
    <td>2116</td>
    <td>17.113</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>1777</td>
    <td>19.972</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>1474</td>
    <td>16.392</td>
    <td>2</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>1278</td>
    <td>18.74</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>1137</td>
    <td>15.752</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">80</td>
    <td>1594</td>
    <td>15.124</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>1347</td>
    <td>17.9</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>1126</td>
    <td>16</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>993</td>
    <td>18.258</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>890</td>
    <td>19.877</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">96</td>
    <td>1319</td>
    <td>18.28</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>1086</td>
    <td>16.63</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>931</td>
    <td>19.545</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>833</td>
    <td>14.332</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>747</td>
    <td>16.141</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">112</td>
    <td>1106</td>
    <td>16.31</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>924</td>
    <td>19.446</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>719</td>
    <td>16.698</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>633</td>
    <td>19.124</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>501</td>
    <td>15.816</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">128</td>
    <td>961</td>
    <td>18.549</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>807</td>
    <td>14.868</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>701</td>
    <td>17.117</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>613</td>
    <td>19.618</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>515</td>
    <td>15.484</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr><td colspan="8"></td></tr>
  <tr><td colspan="8"></td></tr>
  <tr>
    <td rowspan="40">BERT Mini</td>
    <td>90%</td>
    <td rowspan="5">16</td>
    <td>75384</td>
    <td>0.989</td>
    <td>3</td>
    <td>24</td>
    <td>1</td>
    <td rowspan="40">BatchSize &lt;= 8 && Latency &lt;= 1ms</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>55628</td>
    <td>0.917</td>
    <td>2</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>49120</td>
    <td>0.957</td>
    <td>4</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>41598</td>
    <td>0.85</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>39218</td>
    <td>0.913</td>
    <td>3</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">32</td>
    <td>31211</td>
    <td>0.788</td>
    <td>1</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>28399</td>
    <td>0.848</td>
    <td>1</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>24910</td>
    <td>0.966</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>20505</td>
    <td>0.88</td>
    <td>3</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>18575</td>
    <td>0.865</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">48</td>
    <td>25485</td>
    <td>0.987</td>
    <td>1</td>
    <td>24</td>
    <td>1</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>17468</td>
    <td>0.924</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>16771</td>
    <td>0.971</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>16004</td>
    <td>0.996</td>
    <td>2</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>13381</td>
    <td>0.894</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">64</td>
    <td>13990</td>
    <td>0.863</td>
    <td>1</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>13154</td>
    <td>0.917</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>12535</td>
    <td>0.973</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>12102</td>
    <td>0.998</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>8426</td>
    <td>0.961</td>
    <td>2</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">80</td>
    <td>8736</td>
    <td>0.917</td>
    <td>1</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>8282</td>
    <td>0.967</td>
    <td>2</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>6659</td>
    <td>0.898</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>6477</td>
    <td>0.933</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>6290</td>
    <td>0.974</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">96</td>
    <td>8598</td>
    <td>0.931</td>
    <td>1</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>6449</td>
    <td>0.935</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>6263</td>
    <td>0.965</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>6080</td>
    <td>0.988</td>
    <td>2</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>3684</td>
    <td>0.817</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">112</td>
    <td>6246</td>
    <td>0.978</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>6374</td>
    <td>0.947</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>6026</td>
    <td>0.998</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>3300</td>
    <td>0.926</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>3226</td>
    <td>0.935</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>90%</td>
    <td rowspan="5">128</td>
    <td>6221</td>
    <td>0.958</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>6322</td>
    <td>0.96</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>6081</td>
    <td>0.985</td>
    <td>1</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>3368</td>
    <td>0.894</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>3264</td>
    <td>0.924</td>
    <td>1</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr><td colspan="8"></td></tr>
  <tr><td colspan="8"></td></tr>
  <tr>
    <td rowspan="40">DistillBERT</td>
    <td>90%</td>
    <td>16</td>
    <td>15460</td>
    <td>6.296</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
    <td rowspan="40">BatchSize &lt;= 8 && Latency &lt;= 10ms</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>16</td>
    <td>13129</td>
    <td>7.363</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>16</td>
    <td>11323</td>
    <td>8.578</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>16</td>
    <td>10072</td>
    <td>9.599</td>
    <td>8</td>
    <td>12</td>
    <td>2</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>16</td>
    <td>8689</td>
    <td>7.44</td>
    <td>8</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>32</td>
    <td>7901</td>
    <td>8.205</td>
    <td>8</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>32</td>
    <td>6737</td>
    <td>9.562</td>
    <td>8</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>32</td>
    <td>5440</td>
    <td>8.904</td>
    <td>8</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>32</td>
    <td>4920</td>
    <td>9.786</td>
    <td>8</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>32</td>
    <td>4460</td>
    <td>8.053</td>
    <td>6</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>48</td>
    <td>5280</td>
    <td>9.179</td>
    <td>6</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>48</td>
    <td>4339</td>
    <td>9.244</td>
    <td>5</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>48</td>
    <td>3634</td>
    <td>9.928</td>
    <td>5</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>48</td>
    <td>3255</td>
    <td>9.211</td>
    <td>5</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>48</td>
    <td>2928</td>
    <td>8.197</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>64</td>
    <td>3681</td>
    <td>9.527</td>
    <td>6</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>64</td>
    <td>2965</td>
    <td>8.106</td>
    <td>6</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>64</td>
    <td>2741</td>
    <td>8.862</td>
    <td>3</td>
    <td>8</td>
    <td>3</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>64</td>
    <td>2351</td>
    <td>8.527</td>
    <td>5</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>64</td>
    <td>2150</td>
    <td>9.282</td>
    <td>5</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>80</td>
    <td>2918</td>
    <td>8.316</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>80</td>
    <td>2505</td>
    <td>9.602</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>80</td>
    <td>2010</td>
    <td>7.995</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>80</td>
    <td>1872</td>
    <td>8.609</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>80</td>
    <td>1706</td>
    <td>9.442</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>96</td>
    <td>2409</td>
    <td>9.983</td>
    <td>4</td>
    <td>6</td>
    <td>4</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>96</td>
    <td>1993</td>
    <td>8.013</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>96</td>
    <td>1671</td>
    <td>9.627</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>96</td>
    <td>1484</td>
    <td>8.131</td>
    <td>4</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>96</td>
    <td>1342</td>
    <td>8.967</td>
    <td>4</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>112</td>
    <td>1910</td>
    <td>8.456</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>112</td>
    <td>1659</td>
    <td>9.687</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>112</td>
    <td>1293</td>
    <td>9.245</td>
    <td>4</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>112</td>
    <td>1230</td>
    <td>9.798</td>
    <td>4</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>112</td>
    <td>1091</td>
    <td>8.261</td>
    <td>3</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>90%</td>
    <td>128</td>
    <td>1627</td>
    <td>9.908</td>
    <td>4</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>85%</td>
    <td>128</td>
    <td>1397</td>
    <td>8.684</td>
    <td>3</td>
    <td>4</td>
    <td>6</td>
  </tr>
  <tr>
    <td>80%</td>
    <td>128</td>
    <td>1130</td>
    <td>7.957</td>
    <td>3</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>75%</td>
    <td>128</td>
    <td>1081</td>
    <td>8.353</td>
    <td>3</td>
    <td>3</td>
    <td>8</td>
  </tr>
  <tr>
    <td>70%</td>
    <td>128</td>
    <td>982</td>
    <td>9.187</td>
    <td>3</td>
    <td>3</td>
    <td>8</td>
  </tr>
</tbody>
</table>


## platform configuration

<table>
<tbody>
  <tr>
    <td>Manufacturer</td>
    <td>Amazon EC2</td>
  </tr>
  <tr>
    <td>Product Name</td>
    <td>c6i.12xlarge</td>
  </tr>
  <tr>
    <td>BIOS Version</td>
    <td>1</td>
  </tr>
  <tr>
    <td>OS</td>
    <td>Ubuntu&nbsp;&nbsp;&nbsp;20.04.3 LTS</td>
  </tr>
  <tr>
    <td>Kernel</td>
    <td>5.15.0-1021-aws</td>
  </tr>
  <tr>
    <td>Microcode</td>
    <td>0xd000331</td>
  </tr>
  <tr>
    <td>IRQ Balance</td>
    <td>Disabled</td>
  </tr>
  <tr>
    <td>CPU Model</td>
    <td>Intel(R) XeonPlatinum 8375C CPU @ 2.90GHz</td>
  </tr>
  <tr>
    <td>Base Frequency</td>
    <td>2.9GHz</td>
  </tr>
  <tr>
    <td>Maximum Frequency</td>
    <td>3.9GHz</td>
  </tr>
  <tr>
    <td>All-core Maximum Frequency</td>
    <td>3.5GHz</td>
  </tr>
  <tr>
    <td>CPU(s)</td>
    <td>48</td>
  </tr>
  <tr>
    <td>Thread(s) per Core</td>
    <td>N/A</td>
  </tr>
  <tr>
    <td>Core(s) per Socket</td>
    <td>24</td>
  </tr>
  <tr>
    <td>Socket(s)</td>
    <td>1</td>
  </tr>
  <tr>
    <td>NUMA Node(s)</td>
    <td>1</td>
  </tr>
  <tr>
    <td>Turbo</td>
    <td>Enabled</td>
  </tr>
  <tr>
    <td>FrequencyGoverner</td>
    <td>Default </td>
  </tr>
  <tr>
    <td>Max C-State</td>
    <td>9</td>
  </tr>
</tbody>
</table>